export class UnknownNamespaceError extends Error {
    constructor(namespace: string) {
        super(`Unknown namespace: ${namespace}`);
        this.name = "UnknownNamespaceError";
    }
}

export class UnknownSnipTypeError extends Error {
    constructor(type: string) {
        super(`Unknown snip type: ${type}`);
        this.name = "UnknownSnipTypeError";
    }
}
