// Mock session
vi.mock("@snip/auth/session", async () => {
    const { mockConfig } =
        await vi.importActual<typeof import("./mockConfig")>("./mockConfig");

    return {
        getSession: async () => {
            if (!mockConfig.use_session) {
                return {};
            }
            return mockConfig.session;
        },
    };
});
