import { ReactNode } from "react";

import Header from "components/common/Header";

import "./layout.scss";

export default function RootLayout({ children }: { children: ReactNode }) {
    return (
        <>
            <Header />
            <main>{children}</main>
        </>
    );
}
