import Footer from "components/common/Footer";
import { BrowserVersionAlert } from "components/common/utils";

import "components/styles/bootstrap.scss";
import "components/styles/global.scss";

export default function RootLayout({
    children,
}: {
    children: React.ReactNode;
}) {
    return (
        <html lang="en">
            <BrowserVersionAlert />
            <body
                className="d-flex flex-column"
                style={{
                    height: "100dvh",
                }}
            >
                {children}
                <Footer />
            </body>
        </html>
    );
}

export const dynamic = "force-dynamic";
